tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From supareno <reno.rkc...@free.fr>
Subject Re: Can't use J2EE libraries in Eclipse
Date Sun, 01 Mar 2009 13:56:40 GMT
Mighty,

you need to add to your classpath project the servlet.api to compile 
servlet
<tomcat6.0.x>/lib/servlet-api.api
(right click on the projet -> build path/configure build path choose 
librairy/ add external jar)

in glassfish v2, it is in <glassfish>/lib/javaee.jar

now with javaee5, i'm not sure that is possible to download the ee sdk 
separeted from glassfish
it was possible with j2ee 1.4

hope this help

supareno
> Hi,
> I am working on Mac OS X.
> I have the latest version of Tomcat, and Eclipse Europa.
>
> Mac OS X did not come with J2EE.
>
> I downloaded J2EE with GlassFish from Sun. Set it up by running the setup
> shell script. Unfortunately the directory structure is very different now, I
> am guessing the J2EE is inside GlassFish somewhere. I need to set it up in
> Eclipse to be able to compile Servlets and the like. and I cannot find the
> right Jars.
>
> 1. Could somebody point me to where the jars are now within GlassFish so I
> can add them to Eclipse?
> 2. Is there a way to install J2EE without this GlassFish stuff, just
> alongside the J2SE?
>
> Thank you.
>
>   


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message